# Created by pyp2rpm-3.3.10
%global pypi_name iterable-io
%global pypi_version 1.0.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Adapt generators and other iterables to a file-like interface

License:        LGPLv3
URL:            https://github.com/pR0Ps/iterable-io
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tox-current-env)

%description
iterable-io [![Status]( [![Version]( ![Python]( is a small Python library that
provides an adapter so that it's possible to read from [iterable]( objects in
the same way as [file-like]( objects.It is primarily useful as "glue" between
two incompatible interfaces. As an example, in the case

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
iterable-io [![Status]( [![Version]( ![Python]( is a small Python library that
provides an adapter so that it's possible to read from [iterable]( objects in
the same way as [file-like]( objects.It is primarily useful as "glue" between
two incompatible interfaces. As an example, in the case


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%tox

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/iterableio.py
%{python3_sitelib}/iterable_io-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Nov 20 2024 Petr Menšík <pemensik@redhat.com> - 1.0.0-1
- Initial package.
